Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 13 Dec 2021 16:45:14 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I returned 2 items from my order #9507419071, a skirt and full length pants.  Aramex picked up both items in one package on 18 October 47083867611 but despite calling your helpline and talking to an operator - I have not yet received my refund. The Landmark phone operator said he would check with the warehouse and I would receive an email - but I have not received this either. 
On my account history it says refund of 112 AED in progress, however, it has been well over 6 weeks now and I find this quite shocking service - especially that I have to do all the following up and have received no emails, help or updates from Landmark. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3480163